HALT(8)

NAME
halt, poweroff, reboot - Halt, power-off or reboot the machine

SYNOPSIS

halt [OPTIONS...]

poweroff [OPTIONS...]

reboot [OPTIONS...]

DESCRIPTION

halt, poweroff, reboot may be used to halt, power-off, or reboot the machine. All three commands take the same options.

OPTIONS

The following options are understood:

--help
    Print a short help text and exit.

--halt
    Halt the machine, regardless of which one of the three commands is invoked.

-p, --poweroff
    Power-off the machine, when either halt or poweroff is invoked. This option is ignored when reboot is invoked.

--reboot
    Reboot the machine, regardless of which one of the three commands is invoked.

-f, --force
    Force immediate halt, power-off, reboot. If specified, the command does not contact the init system. In most cases, filesystems are not properly unmounted before shutdown. For example, the command reboot -f is mostly equivalent to systemctl reboot -ff, instead of systemctl reboot -f.

-w, --wtmp-only
    Only write wtmp shutdown entry, do not actually halt, power-off, reboot.

-d, --no-wtmp
    Do not write wtmp shutdown entry.

-n, --no-sync
    Don't sync hard disks/storage media before halt, power-off, reboot.

--no-wall
    Do not send wall message before halt, power-off, reboot.

EXIT STATUS

On success, 0 is returned, a non-zero failure code otherwise.

NOTES

These commands are implemented in a way that preserves basic compatibility with the original SysV commands. systemctl(1) verbs halt, poweroff, reboot provide the same functionality with some additional features.

Note that on many SysV systems halt used to be synonymous to poweroff, i.e. both commands would equally result in powering the machine off. systemd is more accurate here, and halt results in halting the machine only (leaving power on), and poweroff is required to actually power it off.

SEE ALSO

systemd(1), systemctl(1), shutdown(8), wall(1)